Bug 645841 - No support for xrandr backlight
No support for xrandr backlight
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers (Show other bugs)
23
Unspecified Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-22 11:53 EDT by Lukáš Tinkl
Modified: 2016-05-14 13:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-09 03:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg log (47.75 KB, text/plain)
2010-11-11 13:10 EST, Lukáš Tinkl
no flags Details
dmesg (97.22 KB, text/plain)
2010-11-11 13:12 EST, Lukáš Tinkl
no flags Details
/var/log/messages (633.91 KB, text/plain)
2010-11-11 13:16 EST, Lukáš Tinkl
no flags Details

  None (edit)
Description Lukáš Tinkl 2010-10-22 11:53:39 EDT
Description of problem:
The radeon X.org driver doesn't support the xrandr backlight interface.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.0-1.fc13.x86_64
libXrandr-1.3.0-5.fc13.x86_64

How reproducible:
[ltinkl@goblin ~]$ xbacklight 
No outputs have backlight property

Expected results:
The radeon driver supports the mentioned backlight interface
Comment 1 Lukáš Tinkl 2010-11-08 13:53:03 EST
Ping, any info on this?
Comment 2 Matěj Cepl 2010-11-09 10:02:13 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Lukáš Tinkl 2010-11-11 13:10:59 EST
Created attachment 459814 [details]
xorg log
Comment 4 Lukáš Tinkl 2010-11-11 13:12:59 EST
Created attachment 459816 [details]
dmesg
Comment 5 Lukáš Tinkl 2010-11-11 13:16:51 EST
Created attachment 459818 [details]
/var/log/messages
Comment 6 Lukáš Tinkl 2010-11-11 13:17:55 EST
FYI, hardware in use (from lspci -v):

01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3650 (prog-if 00 [VGA controller])
        Subsystem: Lenovo Device 2117
        Flags: bus master, fast devsel, latency 0, IRQ 50
        Memory at d0000000 (32-bit, prefetchable) [size=256M]
        I/O ports at 2000 [size=256]
        Memory at cfff0000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at cff00000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 3
        Capabilities: [58] Express Legacy Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Kernel driver in use: radeon
        Kernel modules: radeon
Comment 7 Lukáš Tinkl 2010-11-25 10:02:48 EST
Same with F14. Support for xrandr backlight is crucial, as both KDE and Gnome are moving away from using HAL, without the backlight interface there is no way to set the display brightness. FWIW, both nouveau and intel drivers work fine in this aspect.
Comment 8 Ian Pilcher 2011-04-06 12:40:05 EDT
(In reply to comment #7)
> Same with F14. Support for xrandr backlight is crucial, as both KDE and Gnome
> are moving away from using HAL, without the backlight interface there is no way
> to set the display brightness. FWIW, both nouveau and intel drivers work fine
> in this aspect.

nouveau doesn't work here:

[ipilcher@localhost ~]$ lspci | grep VGA
01:00.0 VGA compatible controller: nVidia Corporation GT218 [NVS 3100M] (rev a2)

[ipilcher@localhost ~]$ xrandr
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
LVDS-1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 344mm x 193mm
   1920x1080      60.0*+   60.0     50.0  
   1680x1050      60.0  
   1400x1050      60.0  
   1280x1024      59.9  
   1280x960       59.9  
   1152x864       60.0  
   1024x768       59.9  
   800x600        59.9  
   640x480        59.4  
   720x400        59.6  
   640x400        60.0  
   640x350        59.8  
VGA-1 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)
DP-2 disconnected (normal left inverted right x axis y axis)
DP-3 disconnected (normal left inverted right x axis y axis)

[ipilcher@localhost ~]$ xbacklight
No outputs have backlight property
Comment 9 nomnex 2012-06-07 23:47:51 EDT
Same problem on my notebook with an older ATI 9000 radeon card

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] (rev 02)

[mt@nh28d fujitsu-laptop]$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 960, maximum 4096 x 4096
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1280x960+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1400x1050      60.0 +   60.0  
   1280x1024      59.9     60.0  
   1280x960       60.0*    59.9  
   1280x854       59.9  
   1280x800       59.8  
   1280x720       59.9  
   1152x768       59.8  
   1024x768      120.1     60.0     59.9  
   960x720       120.0  
   928x696       120.1  
   896x672       120.0  
   800x600       120.0     60.3     59.9     56.2  
   848x480        59.7  
   700x525       120.0  
   720x480        59.7  
   640x512       120.0  
   640x480       120.0     59.9     59.4  
   512x384       120.0  
   400x300       120.6    112.7  
   320x240       120.1  
S-video disconnected (normal left inverted right x axis y axis)

[mt@nh28d fujitsu-laptop]$ xbacklight
No outputs have backlight property
Comment 10 Fedora End Of Life 2012-08-16 14:24:42 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Lukáš Tinkl 2012-11-05 05:55:00 EST
Still happening in F17
Comment 12 Fedora End Of Life 2013-07-04 02:47:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Lukáš Tinkl 2013-07-04 06:54:07 EDT
Still valid afaik...
Comment 14 Fedora End Of Life 2015-01-09 16:46:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-18 08:30:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Lukáš Tinkl 2015-02-19 10:55:29 EST
5 years later and a dozen Fedora releases, still valid... Any chance of getting this fixed?
Comment 18 Fedora End Of Life 2015-11-04 06:11:41 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-12-01 21:34:09 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 20 Jan Kratochvil 2016-05-08 22:54:24 EDT
->libXrandr as Comment 0 was for xorg-x11-drv-ati while I see it on xorg-x11-drv-intel.

libXrandr-1.5.0-2.fc23.x86_64
xorg-x11-drv-intel-2.99.917-19.20151206.fc23.x86_64
xbacklight-1.2.1-2.fc23.x86_64

$ xbacklight 
No outputs have backlight property

Although this command does work:
$ cat /sys/class/backlight/intel_backlight/max_brightness >/sys/class/backlight/intel_backlight/brightness
Comment 21 Jan Kratochvil 2016-05-08 22:57:18 EDT
Possible duplicate: kernel: Bug 1278407
kernel-4.3.3-301.fc23.x86_64
(yes, it is old, I have to try a reboot)
Comment 22 Hans de Goede 2016-05-09 03:02:15 EDT
Hi Jan,

Your issue with the xrandr backlight property not working is completely unrelated to this bug report, can you please file a new bug against the kernel and put me in the Cc ?

For starters also include "ls /sys/class/backlight" and "lspci" output please.

Closing this as wontfix as there is no intention to ever add xrandr backlight support to the other xorg drivers.

Regards,

Hans
Comment 23 Jan Kratochvil 2016-05-14 13:43:33 EDT
With kernel-4.4.9-300.fc23.x86_64 xbacklight started to work again so I am not filing any new kernel Bug now.  Sorry for the false reopen.

Note You need to log in before you can comment on or make changes to this bug.